<html>
<head>
<title>Ogre::GLESFBOManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESFBOManager.html">GLESFBOManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESFBOManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESFBOManager" --><!-- doxytag: inherits="Ogre::GLESRTTManager" -->
<p>Factory for GL Frame Buffer Objects, and related things.  
 <a href="classOgre_1_1GLESFBOManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESFBOManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESFBOManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESFBOManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESFBOManager_inherit__map" id="Ogre_1_1GLESFBOManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="44,83,212,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLESRTTManager \&gt;" alt="" coords="5,5,251,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESFBOManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html">FormatProperties</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame Buffer Object properties for a certain texture format.  <a href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html">RBFormat</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.  <a href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">RBRef</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#ae41aee6944e97455a077713a24f03037">GLESFBOManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#ad997f466b1eed5c4f8d93ee7bca0ef54">~GLESFBOManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a79013dcd19528b1fd2578a3a13ca67e0">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a certain render target if it is a FBO.  <a href="#a79013dcd19528b1fd2578a3a13ca67e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a55c2f009d7fb30c411df746ab622e2de">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind a certain render target.  <a href="#a55c2f009d7fb30c411df746ab622e2de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a086e0d6ede40f070f9d9aea7acca5334">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get best depth and stencil supported for given internalFormat.  <a href="#a086e0d6ede40f070f9d9aea7acca5334"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLESFBORenderTexture.html">GLESFBORenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a1d4e959cc35481c44e9b35f35be75739">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a texture rendertarget object.  <a href="#a1d4e959cc35481c44e9b35f35be75739"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a7833eba77b3f264121ae65ad556bb342">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a7833eba77b3f264121ae65ad556bb342"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#aff6a95afde970ef36e0a321dea831a70">requestRenderBuffer</a> (GLenum format, size_t width, size_t height, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request a render buffer.  <a href="#aff6a95afde970ef36e0a321dea831a70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a2f6286a048f06f1acf00d275432dd161">requestRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request the specify render buffer in case shared somewhere.  <a href="#a2f6286a048f06f1acf00d275432dd161"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#aabe2ad400ba69ba4ed733b21b555534c">releaseRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release a render buffer.  <a href="#aabe2ad400ba69ba4ed733b21b555534c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a775f2041419c2f1f2618b23b5bad65b2">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain format is usable as FBO rendertarget format.  <a href="#a775f2041419c2f1f2618b23b5bad65b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#aaf42836411acb3e6159f70cd6f80f91d">getTemporaryFBO</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a FBO without depth/stencil for temporary use, like blitting between textures.  <a href="#aaf42836411acb3e6159f70cd6f80f91d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a234ef8eb7ace1a68c881025fd3139a7e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">RBRef</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a37e6661e7a0f0b49bd882b16eb2ab4a1">detectFBOFormats</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Detect allowed FBO formats.  <a href="#a37e6661e7a0f0b49bd882b16eb2ab4a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#ae73abcef99c3e3f9d4f3a944331ef475">_tryFormat</a> (GLenum depthFormat, GLenum stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a6b131d5f7d7b3541cbb21ba7019aae54">_tryPackedFormat</a> (GLenum packedFormat)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html">FormatProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a71b4f22afad9128a52f8fcbb8000f3d2">mProps</a> [<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Properties for all internal formats defined by OGRE.  <a href="#a71b4f22afad9128a52f8fcbb8000f3d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#a988cf088ed63106c97f3fd397e7901cd">mRenderBufferMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESFBOManager.html#afd1e91111f7c4d82eab5b23020459fdb">mTempFBO</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary FBO identifier.  <a href="#afd1e91111f7c4d82eab5b23020459fdb"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Factory for GL Frame Buffer Objects, and related things. </p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00061">61</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a03b90bad810db1ea76fa3ad0612f2a09"></a><!-- doxytag: member="Ogre::GLESFBOManager::RenderBufferMap" ref="a03b90bad810db1ea76fa3ad0612f2a09" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">RBRef</a>&gt;::type <a class="el" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">Ogre::GLESFBOManager::RenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00177">177</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae41aee6944e97455a077713a24f03037"></a><!-- doxytag: member="Ogre::GLESFBOManager::GLESFBOManager" ref="ae41aee6944e97455a077713a24f03037" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFBOManager.html#ae41aee6944e97455a077713a24f03037">Ogre::GLESFBOManager::GLESFBOManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad997f466b1eed5c4f8d93ee7bca0ef54"></a><!-- doxytag: member="Ogre::GLESFBOManager::~GLESFBOManager" ref="ad997f466b1eed5c4f8d93ee7bca0ef54" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFBOManager.html#ad997f466b1eed5c4f8d93ee7bca0ef54">Ogre::GLESFBOManager::~GLESFBOManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae73abcef99c3e3f9d4f3a944331ef475"></a><!-- doxytag: member="Ogre::GLESFBOManager::_tryFormat" ref="ae73abcef99c3e3f9d4f3a944331ef475" args="(GLenum depthFormat, GLenum stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLESFBOManager.html#ae73abcef99c3e3f9d4f3a944331ef475">Ogre::GLESFBOManager::_tryFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6b131d5f7d7b3541cbb21ba7019aae54"></a><!-- doxytag: member="Ogre::GLESFBOManager::_tryPackedFormat" ref="a6b131d5f7d7b3541cbb21ba7019aae54" args="(GLenum packedFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESFBOManager.html#a6b131d5f7d7b3541cbb21ba7019aae54">Ogre::GLESFBOManager::_tryPackedFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>packedFormat</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a79013dcd19528b1fd2578a3a13ca67e0"></a><!-- doxytag: member="Ogre::GLESFBOManager::bind" ref="a79013dcd19528b1fd2578a3a13ca67e0" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#a79013dcd19528b1fd2578a3a13ca67e0">Ogre::GLESFBOManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a certain render target if it is a FBO. </p>
<p>If it is not a FBO, bind the main frame buffer. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#aac332502cde16458d51d5aaa5fa7e9ec">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a775f2041419c2f1f2618b23b5bad65b2"></a><!-- doxytag: member="Ogre::GLESFBOManager::checkFormat" ref="a775f2041419c2f1f2618b23b5bad65b2" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESFBOManager.html#a775f2041419c2f1f2618b23b5bad65b2">Ogre::GLESFBOManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if a certain format is usable as FBO rendertarget format. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ad1e4ea655b6ece60016e4ecf734e382a">Ogre::GLESRTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00102">102</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7833eba77b3f264121ae65ad556bb342"></a><!-- doxytag: member="Ogre::GLESFBOManager::createMultiRenderTarget" ref="a7833eba77b3f264121ae65ad556bb342" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLESFBOManager.html#a7833eba77b3f264121ae65ad556bb342">Ogre::GLESFBOManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLESRTTManager.html#addaee98053aef5233dc8b10c14a72ef7">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1d4e959cc35481c44e9b35f35be75739"></a><!-- doxytag: member="Ogre::GLESFBOManager::createRenderTexture" ref="a1d4e959cc35481c44e9b35f35be75739" args="(const String &amp;name, const GLESSurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESFBORenderTexture.html">GLESFBORenderTexture</a>* <a class="el" href="classOgre_1_1GLESFBOManager.html#a1d4e959cc35481c44e9b35f35be75739">Ogre::GLESFBOManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a texture rendertarget object. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ae38db9c6a8b82ad253e738056122ff0b">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a37e6661e7a0f0b49bd882b16eb2ab4a1"></a><!-- doxytag: member="Ogre::GLESFBOManager::detectFBOFormats" ref="a37e6661e7a0f0b49bd882b16eb2ab4a1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#a37e6661e7a0f0b49bd882b16eb2ab4a1">Ogre::GLESFBOManager::detectFBOFormats</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Detect allowed FBO formats. </p>

</div>
</div>
<a class="anchor" id="a086e0d6ede40f070f9d9aea7acca5334"></a><!-- doxytag: member="Ogre::GLESFBOManager::getBestDepthStencil" ref="a086e0d6ede40f070f9d9aea7acca5334" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#a086e0d6ede40f070f9d9aea7acca5334">Ogre::GLESFBOManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get best depth and stencil supported for given internalFormat. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLESFBOManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLESFBOManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a234ef8eb7ace1a68c881025fd3139a7e"></a><!-- doxytag: member="Ogre::GLESFBOManager::getSupportedAlternative" ref="a234ef8eb7ace1a68c881025fd3139a7e" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">Ogre::GLESRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="aaf42836411acb3e6159f70cd6f80f91d"></a><!-- doxytag: member="Ogre::GLESFBOManager::getTemporaryFBO" ref="aaf42836411acb3e6159f70cd6f80f91d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLESFBOManager.html#aaf42836411acb3e6159f70cd6f80f91d">Ogre::GLESFBOManager::getTemporaryFBO</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a FBO without depth/stencil for temporary use, like blitting between textures. </p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00106">106</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aabe2ad400ba69ba4ed733b21b555534c"></a><!-- doxytag: member="Ogre::GLESFBOManager::releaseRenderBuffer" ref="aabe2ad400ba69ba4ed733b21b555534c" args="(const GLESSurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#aabe2ad400ba69ba4ed733b21b555534c">Ogre::GLESFBOManager::releaseRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release a render buffer. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="aff6a95afde970ef36e0a321dea831a70"></a><!-- doxytag: member="Ogre::GLESFBOManager::requestRenderBuffer" ref="aff6a95afde970ef36e0a321dea831a70" args="(GLenum format, size_t width, size_t height, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> <a class="el" href="classOgre_1_1GLESFBOManager.html#aff6a95afde970ef36e0a321dea831a70">Ogre::GLESFBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request a render buffer. </p>
<p>If format is GL_NONE, return a zero buffer. </p>

</div>
</div>
<a class="anchor" id="a2f6286a048f06f1acf00d275432dd161"></a><!-- doxytag: member="Ogre::GLESFBOManager::requestRenderBuffer" ref="a2f6286a048f06f1acf00d275432dd161" args="(const GLESSurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#aff6a95afde970ef36e0a321dea831a70">Ogre::GLESFBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request the specify render buffer in case shared somewhere. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="a55c2f009d7fb30c411df746ab622e2de"></a><!-- doxytag: member="Ogre::GLESFBOManager::unbind" ref="a55c2f009d7fb30c411df746ab622e2de" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESFBOManager.html#a55c2f009d7fb30c411df746ab622e2de">Ogre::GLESFBOManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind a certain render target. </p>
<p>No-op for FBOs. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#a8de06acbca5735034c65813ebb24891e">Ogre::GLESRTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00074">74</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a71b4f22afad9128a52f8fcbb8000f3d2"></a><!-- doxytag: member="Ogre::GLESFBOManager::mProps" ref="a71b4f22afad9128a52f8fcbb8000f3d2" args="[PF_COUNT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html">FormatProperties</a> <a class="el" href="classOgre_1_1GLESFBOManager.html#a71b4f22afad9128a52f8fcbb8000f3d2">Ogre::GLESFBOManager::mProps</a>[<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Properties for all internal formats defined by OGRE. </p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00126">126</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a988cf088ed63106c97f3fd397e7901cd"></a><!-- doxytag: member="Ogre::GLESFBOManager::mRenderBufferMap" ref="a988cf088ed63106c97f3fd397e7901cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a> <a class="el" href="classOgre_1_1GLESFBOManager.html#a988cf088ed63106c97f3fd397e7901cd">Ogre::GLESFBOManager::mRenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00178">178</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLESFBOManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="afd1e91111f7c4d82eab5b23020459fdb"></a><!-- doxytag: member="Ogre::GLESFBOManager::mTempFBO" ref="afd1e91111f7c4d82eab5b23020459fdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLESFBOManager.html#afd1e91111f7c4d82eab5b23020459fdb">Ogre::GLESFBOManager::mTempFBO</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Temporary FBO identifier. </p>

<p>Definition at line <a class="el" href="OgreGLESFBORenderTexture_8h_source.html#l00183">183</a> of file <a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESFBORenderTexture_8h_source.html">OgreGLESFBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:24
</p>
</body>
</html>
